Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Private_Transport_Descriptor Class Reference

`#include <Private_Transport_Descriptor.h>`

Inheritance diagram for TAO_Private_Transport_Descriptor

[legend]
Collaboration diagram for TAO_Private_Transport_Descriptor:

[legend]
List of all members.

## Public Methods
| TAO_Private_Transport_Descriptor (TAO_Endpoint *endpoint, long object_id, CORBA::Boolean flag = 0)
virtual | ~TAO_Private_Transport_Descriptor (void)
virtual TAO_Transport_Descriptor_Interface* | duplicate (void)
virtual CORBA::Boolean | is_equivalent ( const TAO_Transport_Descriptor_Interface *other_prop)
virtual u_long | hash (void) const
## Private Methods
| TAO_Private_Transport_Descriptor (const TAO_Private_Transport_Descriptor&)
void | operator= (const TAO_Private_Transport_Descriptor&)
## Private Attributes
long | object_id_

## Constructor & Destructor Documentation

ACE_INLINE TAO_Private_Transport_Descriptor::TAO_Private_Transport_Descriptor ( | TAO_Endpoint * endpoint,
| long object_id,
| CORBA::Boolean flag = 0 )

virtual TAO_Private_Transport_Descriptor::~TAO_Private_Transport_Descriptor ( | void )`[virtual]`

TAO_Private_Transport_Descriptor::TAO_Private_Transport_Descriptor ( | const TAO_Private_Transport_Descriptor & )`[private]`

## Member Function Documentation

TAO_Transport_Descriptor_Interface * TAO_Private_Transport_Descriptor::duplicate ( | void )`[virtual]`

| Reimplemented from TAO_Transport_Descriptor_Interface.

u_long TAO_Private_Transport_Descriptor::hash ( | void ) const`[virtual]`

| Reimplemented from TAO_Transport_Descriptor_Interface.

CORBA::Boolean TAO_Private_Transport_Descriptor::is_equivalent ( | const TAO_Transport_Descriptor_Interface * rhs )`[virtual]`

| Reimplemented from TAO_Transport_Descriptor_Interface.

void TAO_Private_Transport_Descriptor::operator= ( | const TAO_Private_Transport_Descriptor & )`[private]`

## Member Data Documentation

long TAO_Private_Transport_Descriptor::object_id_`[private]`

| Unique identifier of the object to which private connection identified with this descriptor belongs. The value of <object_id_> is the TAO_Stub* of the object.

The documentation for this class was generated from the following files:

- Private_Transport_Descriptor.h
- Private_Transport_Descriptor.cpp
- Private_Transport_Descriptor.inl